
Price Monitoring - Bug #1625

No validation is set to force the From date to be before To date 

08/19/2019 03:48 PM - Israa Naser

Status: Closed Start date: 08/19/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Abed Abuhalawa Actual Result: No validation is set which mixes up the

results returned from the Query 

Severity: Normal Environment: QA

Category: Price monitoring module Transaction Number:  

Sub-Category: Item Price Change within Period - مراقبة

سعر سلعة خلال مده زمنية

Browser: Firefox

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result: there should be a validation to force the

From date to be prior to End date 

  

Description

steps to duplicate:

1- go to page مراقبة سعر سلعة خلال فترة زمنية محددة

2- fill the fields as follows

اسم الجمعية : جمعية فهد الاحمد

28/06/2019 : من تاريخ

26/06/2019 : الى تاريخ

3- change the search method to be بحث بواسطة الاقسام

> the system should validate that the From date is after than the Last date

4- search for an item that has data entry in 26-06 but not in 28-06

> the value is returned but clicking the number of Price change does not do anything

Related issues:

Related to Task #1506: Item Price Change within Period - مراقبة سعر سلعة خلال... Closed 07/24/2019

Duplicates Bug #1437: Warning message should be displayed to the user when th... Closed 07/14/2019

History

#1 - 08/19/2019 03:48 PM - Israa Naser

- Related to Task #1506: Item Price Change within Period - مراقبة سعر سلعة خلال مده زمنية added

#2 - 08/29/2019 06:10 PM - Israa Naser

- Duplicates Bug #1437: Warning message should be displayed to the user when the End date of the Average period is before the beginning date of

the period - Item Price Average within Period added

#3 - 08/29/2019 06:11 PM - Israa Naser

- Status changed from Open to Closed

- Assignee changed from Abed Abuhalawa to Israa Naser

Abed i'm closing this as the feedback is duplicated in Bug #1437

Thanks

06/07/2025 1/2

http://185.98.225.148:8089/redmine/issues/1437


Files

PNG.مراقبة سعر سلعة خلال فترة زمنية محددة 38.7 KB 08/19/2019 Israa Naser
